Update a link ​
PATCH/api/v1/workspaces/{workspace_slug}/projects/{project_id}/work-items/{work_item_id}/links/{resource_id}/
Modify the URL, title, or metadata of an existing issue link.
Path Parameters ​
work_item_id:requiredstringThe unique identifier of the work item.
resource_id:requiredstringThe unique identifier of the resource.
project_id:requiredstringThe unique identifier of the project.
workspace_slug:requiredstringThe workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL https://app.plane.so/my-team/projects/, the workspace slug is my-team.
Body Parameters ​
title:optionalstringTitle.
url:optionalstringUrl.
Scopes ​
projects.work_items.links:write
Update a link
bash
curl -X PATCH \
"https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/work-items/work-item-uuid/links/resource-id-uuid/" \
-H "X-API-Key: $PLANE_API_KEY" \
# Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"url": "https://example.com/resource",
"title": "Example Name"
}'python
import requests
response = requests.patch(
"https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/work-items/work-item-uuid/links/resource-id-uuid/",
headers={"X-API-Key": "your-api-key"},
json={
"url": "https://example.com/resource",
"title": "Example Name"
}
)
print(response.json())javascript
const response = await fetch(
"https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/work-items/work-item-uuid/links/resource-id-uuid/",
{
method: "PATCH",
headers: {
"X-API-Key": "your-api-key",
"Content-Type": "application/json",
},
body: JSON.stringify({
url: "https://example.com/resource",
title: "Example Name",
}),
}
);
const data = await response.json();Response200
json
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"url": "https://example.com/resource",
"title": "Example Name",
"metadata": {
"title": "Example Name",
"description": "Example description",
"image": "https://example.com/assets/example-image.png"
},
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-01T00:00:00Z"
}
